FROM klakegg/hugo:ext-debian

RUN apt update && apt install -y curl git python3

EXPOSE 8000

COPY . /src/

ENTRYPOINT ["/bin/bash"]

CMD ["-c", "hugo && python3 -m http.server --bind 0.0.0.0 --directory public 8000"]
